## Apache Zeta Components Manual :: Docs For Class ezcWorkflowServiceObject

### Workflow::ezcWorkflowServiceObject

### Interface ezcWorkflowServiceObject

Interface for service objects that can be attached to ezcWorkflowNodeAction nodes.

Source for this file: /Workflow/src/interfaces/service_object.php

Version: | //autogen//

### Method Summary

public boolean | `execute( $execution )` Executes the business logic of this service object.
public string | `__toString( )` Returns a textual representation of this service object.

### Methods

#### execute

boolean execute( ezcWorkflowExecution $execution )

Executes the business logic of this service object.

Implementations can return true if the execution of the service object was successful to resume the workflow and activate the next node.

Returning false will cause the workflow to be suspended and the service object to be executed again on a later invokation.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

#### __toString

string __toString( )

Returns a textual representation of this service object.

Documentation generated by phpDocumentor 1.4.3